Forum: Ruby Noob has trouble with io/wait on Windows

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
Larry E. (Guest)
on 2006-02-23 02:51
I'm trying to use the "io/wait" library (using "require 'io/wait'") but
the interpreter won't load it.

I'm a dang newbie and I've just installed the 1.8.2 one-click package on
Windows.        Do I need to do something special to enable this
package?  The error I get is like so:

D:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:18:in
`require__': No such file to load -- io/wait (LoadError)
	from D:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:18:in
`require'
	from D:/repository/projects/.eclipse/STOMPing grounds/test_stomp.rb:1

Larry Edelstein
Revere Data
removed_email_address@domain.invalid
Dave B. (Guest)
on 2006-02-23 12:26
(Received via mailing list)
Larry Edelstein asked...
> I'm trying to use the "io/wait" library (using "require 'io/wait'") but
> the interpreter won't load it.
>
> I'm a dang newbie and I've just installed the 1.8.2 one-click package on
> Windows.        Do I need to do something special to enable this
> package?  The error I get is like so:
>
> D:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:18:in
> `require__': No such file to load -- io/wait (LoadError)

io/wait is one of the POSIX-based functions (along with fork, etc.) that
doesn't work on Windows (yet).

The win32utils library win32-process available from RubyForge provides a
replacement:
http://rubyforge.org/projects/win32utils/

Cheers,
Dave
Larry E. (Guest)
on 2006-02-24 03:42
Thanks Dave.  Color me "grumbling" for not being able to find this info
elsewhere.

-Larry


Dave B. wrote:
> Larry Edelstein asked...
>> I'm trying to use the "io/wait" library (using "require 'io/wait'") but
>> the interpreter won't load it.
>>
>> I'm a dang newbie and I've just installed the 1.8.2 one-click package on
>> Windows.        Do I need to do something special to enable this
>> package?  The error I get is like so:
>>
>> D:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:18:in
>> `require__': No such file to load -- io/wait (LoadError)
>
> io/wait is one of the POSIX-based functions (along with fork, etc.) that
> doesn't work on Windows (yet).
>
> The win32utils library win32-process available from RubyForge provides a
> replacement:
> http://rubyforge.org/projects/win32utils/
>
> Cheers,
> Dave
This topic is locked and can not be replied to.